Get automation bot state
AuthorizationBearer <token>
Preferred API authentication. Use a JWT with the api audience.
In: header
Path Parameters
instance_id*string
Format
uuidbot_id*string
Format
uuidResponse Body
application/json
application/json
application/json
application/json
curl -X GET "http://127.0.0.1:38765/v1/instances/:instance_id/automation/bots/:bot_id"{ "state": { "instance_id": "06587974-2dbe-4e10-8bf9-38cce0f5a366", "bot_id": "41900e0f-e27a-4863-8321-478ccf15bbd8", "account_name": "string", "status_summary": "string", "goal_mode": "AUTOMATION_GOAL_MODE_UNSPECIFIED", "paused": true, "beat_phase": "AUTOMATION_BEAT_PHASE_UNSPECIFIED", "current_action": "string", "target": { "requirement_key": "string", "display_name": "string", "count": 0 }, "team_role": "AUTOMATION_TEAM_ROLE_UNSPECIFIED", "team_objective": "AUTOMATION_TEAM_OBJECTIVE_UNSPECIFIED", "dimension": "string", "position": { "x": 0.1, "y": 0.1, "z": 0.1 }, "death_count": 0, "timeout_count": 0, "recovery_count": 0, "last_recovery_reason": "string", "last_progress_at": { "seconds": 0, "nanos": 0 }, "settings": { "enabled": true, "allow_death_recovery": true, "memory_scan_radius": 0, "memory_scan_interval_ticks": 0, "retreat_health_threshold": 0, "retreat_food_threshold": 0, "role_override": "AUTOMATION_TEAM_ROLE_UNSPECIFIED" }, "queued_targets": [ { "requirement_key": "string", "display_name": "string", "count": 0 } ] }}{ "code": 0, "grpc-code": "string", "message": "string", "stack-trace": "string", "details": [ {} ]}{ "code": 0, "grpc-code": "string", "message": "string", "stack-trace": "string", "details": [ {} ]}{ "code": 0, "grpc-code": "string", "message": "string", "stack-trace": "string", "details": [ {} ]}How is this page?